Export Observability
curl --request POST \
--url https://api.tracelm.ai/api/v2/observability/exportimport requests
url = "https://api.tracelm.ai/api/v2/observability/export"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.tracelm.ai/api/v2/observability/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Observability v2
Export Observability
Export observability traces in OTLP-compatible JSON
POST
/
api
/
v2
/
observability
/
export
Export Observability
Exports canonical observability traces into OTLP JSON for interoperability and migration workflows.
Auth
Authorization: Bearer <jwt>or project-scopedX-API-Key
Request Body
{
"project_id": "550e8400-e29b-41d4-a716-446655440000",
"format": "otlp_json",
"trace_ids": [
"11111111-1111-1111-1111-111111111111"
],
"limit": 100,
"offset": 0
}
Response
{
"project_id": "550e8400-e29b-41d4-a716-446655440000",
"format": "otlp_json",
"traces_exported": 1,
"payload": {
"resourceSpans": []
}
}
⌘I

